## virtualbox 6.1.20-dfsg

=== debian/changelog ===
virtualbox (6.1.20-dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages dependencies as usual.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Apr 2021 13:46:18 -0700

virtualbox (6.1.20-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.20-dfsg
  * Drop patches now upstream:
    - 50-kernel-5.11.patch
    - 88207-kernel-5.11.patch
    - 88212-kernel-5.11.patch
    - kernel-5.10.patch
    - python3.9.patch
  * Refresh patches:
    - 27-hide-host-cache-warning.patch
    - 36-fix-vnc-version-string.patch
    - no-vboxrem.patch
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Apr 2021 22:38:00 +0200

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: acpica-tools,
               bzip2,
               debhelper-compat (= 12),
               default-jdk,
               dh-python,
               dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap,
               imagemagick,
               jaxws,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               libidl-dev,
               liblzf-dev,
               libopus-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5x11extras5-dev,
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               qttools5-dev-tools,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm,
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

Package: virtualbox-qt
Architecture: amd64
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64
Depends: adduser,
         iproute2,
         procps,
         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends},
         virtualbox-guest-additions-iso
Suggests: vde2
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0,
           virtualbox-5.1,
           virtualbox-5.2,
           virtualbox-6.0,
           virtualbox-6.1
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: amd64
Depends: ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: amd64
Depends: build-essential,
         bzip2,
         debhelper-compat (= 12),
         kbuild,
         module-assistant,
         ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-dkms
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
XB-Modaliases: ${modaliases}
Provides: virtualbox-guest-modules
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper-compat (= 12),
         kbuild,
         module-assistant,
         ${misc:Depends}
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         virtualbox-guest-utils (= ${binary:Version}),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.
 .
 Either the virtualbox-guest-dkms or the virtualbox-guest-source package is
 also required in order to compile the kernel modules needed for
 virtualbox-guest-utils.

## virtualbox 6.1.22-dfsg

=== debian/changelog ===
virtualbox (6.1.22-dfsg-2~ubuntu1.20.10.1) groovy; urgency=medium

  * SRU the latest package for Ubuntu groovy (LP: #1926937)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Jun 2021 09:15:58 +0200

virtualbox (6.1.22-dfsg-2) unstable; urgency=medium

  [ Andrea Righi ]
  * Support linux 5.13 with vbox-guest drivers (LP: #1929193):
    - debian/patches/40-linux-5.13-support.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Jun 2021 15:45:42 +0200

virtualbox (6.1.22-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.22-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 May 2021 12:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: acpica-tools,
-               bzip2,
+Build-Depends: bzip2,
                debhelper-compat (= 12),
                default-jdk,
+               jaxws,
                dh-python,
                dkms,
                docbook-xml,
@@ -17,8 +16,7 @@
                g++-multilib,
                genisoimage,
                gsoap,
-               imagemagick,
-               jaxws,
+               acpica-tools,
                kbuild (>= 1:0.1.9998svn3098~),
                libasound2-dev,
                libcap-dev,
@@ -29,15 +27,16 @@
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libgsoap-dev,
+               liblzf-dev,
                libidl-dev,
-               liblzf-dev,
                libopus-dev,
                libpam0g-dev,
                libpixman-1-dev,
                libpng-dev,
                libpulse-dev,
+               libqt5x11extras5-dev,
                libqt5opengl5-dev,
-               libqt5x11extras5-dev,
+               qttools5-dev-tools,
                libsdl1.2-dev,
                libssl-dev,
                libvncserver-dev,
@@ -62,7 +61,6 @@
                module-assistant,
                nasm,
                python3-dev,
-               qttools5-dev-tools,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -101,10 +99,9 @@
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends},
-         virtualbox-guest-additions-iso
-Suggests: vde2
+         ${shlibs:Depends}
+Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
+Suggests: vde2, virtualbox-guest-additions-iso
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
@@ -119,7 +116,7 @@
            virtualbox-5.1,
            virtualbox-5.2,
            virtualbox-6.0,
-           virtualbox-6.1
+           virtualbox-6.1,
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -210,8 +207,8 @@
 Section: contrib/x11
 Architecture: amd64 i386
 Depends: libnotify-bin,
+         x11-xserver-utils,
          virtualbox-guest-utils (= ${binary:Version}),
-         x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends},
          ${xserver:Depends}
@@ -233,6 +230,9 @@
          virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
          ${misc:Depends},
          ${shlibs:Depends}
+#Conflicts: time-daemon, ntp
+#Provides: time-daemon
+#Replaces: time-daemon
 Suggests: virtualbox-guest-x11 (= ${binary:Version})
 Description: x86 virtualization solution - non-X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils
uxname:=virtualbox-guest-x11

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

include /usr/share/dpkg/default.mk
VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) |cut -f 1 -d "-")

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,dkms

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) $(NJOBS) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)
endif

	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBoxVM;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

# check if arch-all packages are being built
ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_systemd_enable:
	dh_systemd_enable -p$(uname) debian/$(uname).service

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbgsym-migration='$(sname)-dbg'

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 6.1.26

=== src/VBox/HostDrivers/Support/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host Driver.
#

#
# Copyright (C) 2006-2020 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXDRV_DIR := $(VBOX_MODULE_SRC_DIR)

VBOXMOD_NAME = vboxdrv
VBOXMOD_OBJS = \
	linux/SUPDrv-linux.o \
	SUPDrv.o \
	SUPDrvGip.o \
	SUPDrvSem.o \
	SUPDrvTracer.o \
	SUPLibAll.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/rtStrFormatKernelAddress-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/threadctxhooks-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/checksum/crc32.o \
	common/checksum/ipv4.o \
	common/checksum/ipv6.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/handletable.o \
	common/misc/handletablectx.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/strformatnum.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTLogWriteUser-generic.o \
	generic/RTMpGetArraySize-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/RTTimerCreate-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	generic/uuid-generic.o \
	VBox/log-vbox.o
ifeq ($(BUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/divmoddi4.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_OBJS += SUPDrvDTrace.o
endif
VBOXMOD_INCL  = \
	$(VBOXDRV_DIR) \
	$(VBOXDRV_DIR)include \
	$(VBOXDRV_DIR)r0drv/linux
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_INCL += \
	/usr/include/linux \
	/usr/include
endif
VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING \
	SUPDRV_WITH_RELEASE_LOGGER \
	VBOX_WITHOUT_EFLAGS_AC_SET_IN_VBOXDRV \
	VBOX_WITH_EFLAGS_AC_SET_IN_VBOXDRV \
	IPRT_WITHOUT_EFLAGS_AC_PRESERVING \
	IPRT_WITH_EFLAGS_AC_PRESERVING \
	VBOX_WITH_64_BITS_GUESTS # <-- must be consistent with Config.kmk!
ifndef CONFIG_VBOXDRV_FIXEDMAJOR
VBOXMOD_DEFS += CONFIG_VBOXDRV_AS_MISC
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_DEFS += VBOX_WITH_NATIVE_DTRACE
endif
ifdef VBOX_WITH_TEXT_MODMEM_HACK
VBOXMOD_DEFS += RTMEMALLOC_EXEC_HEAP VBOX_WITH_TEXT_MODMEM_HACK
endif
VBOXMOD_CFLAGS = -include $(VBOXDRV_DIR)include/VBox/SUPDrvMangling.h \
	-fno-omit-frame-pointer -fno-pie -Wno-declaration-after-statement


include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_0_TARGET)
	@if ! readelf -p __ksymtab_strings vboxdrv.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

## virtualbox 6.1.26-dfsg

=== debian/changelog ===
virtualbox (6.1.26-dfsg-3~ubuntu1.21.04.1) hirsute; urgency=medium

  * SRU the latest package for Ubuntu hirsute (LP: #1926937)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Aug 2021 15:03:23 +0200

virtualbox (6.1.26-dfsg-3) unstable; urgency=medium

  * Drop broken old symlinks (Closes: #991901)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Aug 2021 16:14:08 +0200

virtualbox (6.1.26-dfsg-2) unstable; urgency=medium

  * debian/patches/90377.patch:
    - cherry-pick upstream build fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 11:31:03 +0200

virtualbox (6.1.26-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.26-dfsg
  * Delete 40-linux-5.13-support.patch
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 11:26:57 +0200

virtualbox (6.1.22-dfsg-4) unstable; urgency=medium

  * Set R^3 to binary-target, chmod +s in dh_fixperms needs root to work
    Note: Debian implementation seems to set +s during build regardless
    of the set, while Ubuntu implementation failed to set +s leading to
    non-working virtualbox binary

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jul 2021 10:21:57 +0200

virtualbox (6.1.22-dfsg-3) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop virtualbox guest modules dkms and sources, as in Ubuntu and Debian,
    all kernel flavours provide those from the upstream kernel since at least
    focal 20.04 LTS.
    Thus these are not needed anymore. LP: #1933248

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jul 2021 09:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
                zlib1g-dev
 X-Python-Version: >= 2.5
 Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
@@ -165,44 +165,6 @@
  be built to produce a virtualbox-modules-_KVERS_ providing
  "virtualbox-modules" package.
 
-Package: virtualbox-guest-dkms
-Section: contrib/kernel
-Architecture: all
-Depends: ${misc:Depends}
-XB-Modaliases: ${modaliases}
-Provides: virtualbox-guest-modules
-Description: x86 virtualization solution - guest addition module source for dkms
- VirtualBox is a free x86 virtualization solution allowing a wide range
- of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
- Linux system.
- .
- This package provides the source code for the virtualbox guest addition kernel
- modules to be build with dkms. Kernel sources or headers are required to
- compile these modules.
-
-Package: virtualbox-guest-source
-Section: contrib/kernel
-Architecture: all
-Depends: build-essential,
-         bzip2,
-         debhelper-compat (= 12),
-         kbuild,
-         module-assistant,
-         ${misc:Depends}
-Description: x86 virtualization solution - guest addition module source
- VirtualBox is a free x86 virtualization solution allowing a wide range
- of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
- Linux system.
- .
- This package provides the source code for the virtualbox guest addition kernel
- modules. The virtualbox-guest-utils package is also required in order to
- make use of these modules. Kernel sources or headers are required to compile
- these modules.
- .
- The source is placed under /usr/src, and after decompression it can
- be built to produce a virtualbox-guest-modules-_KVERS_ providing
- "virtualbox-guest-modules" package.
-
 Package: virtualbox-guest-x11
 Section: contrib/x11
 Architecture: amd64 i386
@@ -227,7 +189,6 @@
 Architecture: amd64 i386
 Depends: adduser,
          pciutils,
-         virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
          ${misc:Depends},
          ${shlibs:Depends}
 #Conflicts: time-daemon, ntp

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 
 # Name of the source packages
 psource:=virtualbox-source
-gsource:=virtualbox-guest-source
 pdkms:=virtualbox-dkms
-gdkms:=virtualbox-guest-dkms
 
 # The short upstream name
 sname:=virtualbox
@@ -98,12 +96,10 @@
 
 	# Build install files for the dkms'ified sources
 	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
-	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install
 
 	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars
 
 ifeq ($(DIST_NAME),Ubuntu)
-	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
 	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
 endif
 
@@ -120,8 +116,6 @@
 ifeq ($(DIST_NAME),Ubuntu)
 	install -m 644 -p -D debian/apport-hook.py \
 	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
-	install -m 644 -p -D debian/apport-hook.py \
-	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
 endif
 
 override_dh_fixperms:
@@ -165,19 +159,6 @@
 	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
 endif
 
-# check if arch-all packages are being built
-ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
-	# These files have incorrect permissions, fixing it.
-	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules
-
-	# this needs all prior work to be finished
-	cd debian/$(gsource)/usr/src && \
-	    tar -cjf $(gname).tar.bz2 modules && \
-	    rm -rf modules
-
-	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
-endif
-
 override_dh_installinit:
 	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
 	dh_installinit --remaining-packages --no-start
@@ -221,9 +202,7 @@
 	rm -f build-stamp
 	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
 	rm -f debian/$(pdkms).install
-	rm -f debian/$(gdkms).install
 	rm -f debian/$(pdkms).links
-	rm -f debian/$(gdkms).links
 
 	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 6.1.28-dfsg

=== debian/changelog ===
virtualbox (6.1.28-dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages dependencies as usual for MX.
  * Add fix-backports.patch to build with Stretch's gsoap.
  * Drop jaxws build-dep, not needed with openjdk-8.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Oct 2021 19:38:56 -0700

virtualbox (6.1.28-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.28-dfsg
  * Bump std-version to 4.6.0
  * Drop patches now upstream or coming from upstream: new-mesa, 90377, no-vboxrem
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Oct 2021 10:01:31 +0200

virtualbox (6.1.26-dfsg-4) unstable; urgency=medium

  * debian/patches/new-mesa.patch
    - add new upstream proposed patch to fix whitescreens with new
      mesa. (thanks Klaus for the patch)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 08:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: bzip2,
+Build-Depends: acpica-tools,
+               bzip2,
                debhelper-compat (= 12),
                default-jdk,
-               jaxws,
                dh-python,
                dkms,
                docbook-xml,
@@ -16,7 +17,7 @@
                g++-multilib,
                genisoimage,
                gsoap,
-               acpica-tools,
+#               jaxws,
                kbuild (>= 1:0.1.9998svn3098~),
                libasound2-dev,
                libcap-dev,
@@ -27,16 +28,15 @@
                libgl1-mesa-dev,
                libglu1-mesa-dev,
                libgsoap-dev,
+               libidl-dev,
                liblzf-dev,
-               libidl-dev,
                libopus-dev,
                libpam0g-dev,
                libpixman-1-dev,
                libpng-dev,
                libpulse-dev,
+               libqt5opengl5-dev,
                libqt5x11extras5-dev,
-               libqt5opengl5-dev,
-               qttools5-dev-tools,
                libsdl1.2-dev,
                libssl-dev,
                libvncserver-dev,
@@ -61,6 +61,7 @@
                module-assistant,
                nasm,
                python3-dev,
+               qttools5-dev-tools,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -73,7 +74,7 @@
                yasm,
                zlib1g-dev
 X-Python-Version: >= 2.5
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
@@ -99,9 +100,11 @@
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
-Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
-Suggests: vde2, virtualbox-guest-additions-iso
+         ${shlibs:Depends},
+         virtualbox-qt (= ${binary:Version}),
+         virtualbox-guest-additions-iso,
+         ${shlibs:Recommends}
+Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
@@ -116,7 +119,7 @@
            virtualbox-5.1,
            virtualbox-5.2,
            virtualbox-6.0,
-           virtualbox-6.1,
+           virtualbox-6.1
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -169,8 +172,8 @@
 Section: contrib/x11
 Architecture: amd64 i386
 Depends: libnotify-bin,
+         virtualbox-guest-utils (= ${binary:Version}),
          x11-xserver-utils,
-         virtualbox-guest-utils (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ${xserver:Depends}
@@ -187,13 +190,7 @@
 
 Package: virtualbox-guest-utils
 Architecture: amd64 i386
-Depends: adduser,
-         pciutils,
-         ${misc:Depends},
-         ${shlibs:Depends}
-#Conflicts: time-daemon, ntp
-#Provides: time-daemon
-#Replaces: time-daemon
+Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
 Suggests: virtualbox-guest-x11 (= ${binary:Version})
 Description: x86 virtualization solution - non-X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range

=== debian/rules ===
--- 
+++ 
@@ -171,7 +171,7 @@
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_strip --dbgsym-migration='$(sname)-dbg'
+	dh_strip --no-automatic-dbgsym
 
 	# strip files not handled by dh_strip
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
@@ -196,6 +196,9 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+
+#override_dh_strip:
+#	dh_strip --no-automatic-dbgsym
 
 	# Cleaning package
 	rm -rf out

## virtualbox 6.1.30-dfsg

=== debian/changelog ===
virtualbox (6.1.30-dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make vbox-qt and vbox-guest-additions-iso explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Dec 2021 11:17:27 -0800

virtualbox (6.1.30-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.30-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 10:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                g++-multilib,
                genisoimage,
                gsoap,
-#               jaxws,
+               jaxws,
                kbuild (>= 1:0.1.9998svn3098~),
                libasound2-dev,
                libcap-dev,
@@ -102,9 +102,9 @@
          ${python3:Depends},
          ${shlibs:Depends},
          virtualbox-qt (= ${binary:Version}),
-         virtualbox-guest-additions-iso,
-         ${shlibs:Recommends}
-Suggests: vde2
+         virtualbox-guest-additions-iso
+Recommends:  ${shlibs:Recommends}
+Suggests: vde2, 
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,

=== debian/rules ===
--- 
+++ 
@@ -171,7 +171,7 @@
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='$(sname)-dbg' --no-automatic-dbgsym
 
 	# strip files not handled by dh_strip
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
@@ -196,9 +196,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-
-#override_dh_strip:
-#	dh_strip --no-automatic-dbgsym
 
 	# Cleaning package
 	rm -rf out
